				
*************************************************************************************


game_init

	
	BSR	play_game
	move.b	#0,n_level
	move.w	#0,n_score
	move.b	#3,n_lives
	move.b	#0,player_died
	
init_loop			cmpi.b	#0,player_died
				beq	init_loop_player_not_died
			
				cmpi.b	#0,n_lives
				beq	finished
			
				subi.b	#1,n_lives
				bra	alive_from_death
				
				
init_loop_player_not_died	addi.b	#1,n_level
				LEA next_level,A1
				BSR draw_the_interrupt
				MOVE.L #5000000,D0
r_delay 
				SUBI.L #1,D0
				CMPI.L #0,D0
				BNE r_delay 
			
alive_from_death		bsr	init_plane_places
				bsr	game_loop

				jmp	init_loop
finished				
				lea s_game_over,A1
				bsr draw_the_interrupt
				
				;BSR 	stop_game
			;	BSR	start_game_over
				
				
				MOVE.L #5000000,D0
r_delay_2
				SUBI.L #1,D0
				CMPI.L #0,D0
				BNE r_delay_2
				
				LEA s_new_game,A1
				BSR draw_the_interrupt
				
				
				
game_over_loop			clr.l	d2
				clr.l	d3
				bsr	check_the_key
				add.w	d2,d3
				cmpi.w	#2,d3
				beq	play_again
				bsr	game_over_loop
								
play_again				rts

*********************************************


init_plane_places	
	lea	planes,a0
	move.w	#168,(a0)
	move.w	#166,2(a0)
	move.w	#0,4(a0)
	move.w	#1,6(a0)
	
	move.b	n_level,players
	addi.b	#1,players
	clr.l	d0
	move.b	players,d0

for_init_plane_places	cmpi.b	#1,d0
			beq	end_for_init_plane_places
			clr.l	d1		
			move.w	d0,d1
			subi.w	#1,d1
			mulu	#8,d1
			move.w	#368,(a0,d1)
			move.w	#366,2(a0,d1)
			move.w	#1,4(a0,d1)
			move.w	#0,6(a0,d1)
	
			subi.w	#1,d0
			jmp	for_init_plane_places
end_for_init_plane_places




	

	
	move.b	#0,player_died
	move.b	#0,nbullets
	rts


*********************************************	

game_loop

	
The_Loop	cmpi.b	#1,player_died
	beq	game_over
	cmpi.b	#1,players
	beq	game_over
	
	

	bsr	move_bullets	*move bullets
	;bsr	disable_keyboard
	
	;bsr	disable_keyboard
	bsr	ai_move		*ai move
	;MOVEM.L  D0-D7,-(SP)
	bsr	check_user_move	*check keyboard
	;MOVEM.L	(SP)+,D0-D7
	*ai fire
	bsr	adjust_bullet_dly
	bsr	check_collisions
	
	bsr	move_airplanes	*move airplanes

	bsr	Deley
	bsr	draw_all	
	jmp	The_Loop
	

game_over
	
	RTS
	
	
	
Deley	move.l	#20000,d0
LOOP_DEL	

	subi.l	#1,d0
	cmpi.l	#0,d0
	bne	LOOP_DEL
	
	rts


adjust_bullet_dly	addi.l	#1,bullet_dly
		move.l	bullet_dly,d0
		cmpi.l	#1000,d0
		bne	bullet_dly_np
		move.l	#20,bullet_dly
bullet_dly_np	rts



















*~Font name~Courier New~
*~Font size~10~
*~Tab type~1~
*~Tab size~8~
