check_the_key
	CLR		D2				* D2 is up-down
	CLR		D3				* D3 is left-right
	MOVE.l		#$25282726,D1			* adjust keys key
	MOVE.b		#19,D0				* check for keypress
	TRAP		#15
	CMPI.L		#0,d1
	BEQ		not_left
	
	CMPI.B		#$FF,D1
	BNE		not_up
	MOVEQ		#-1,D3				* go up
	MOVE.B		rand,D0				* rand is updated every time a important key is pressed
	MULU		#2,D0
	ADDI		#19,D0
	MOVE.B		D0,rand	
	BRA		not_important
	
not_up
	LSR.L		#8,D1
	CMPI.B		#$FF,D1
	BNE		not_right
	MOVEQ		#1,D2				* go right
	MOVE.B		rand,D0				* rand is updated every time a important key is pressed
	MULU		#3,D0
	ADDI		#7,D0
	MOVE.B		D0,rand
	BRA		not_important
	
not_right
	LSR.L		#8,D1
	CMPI.B		#$FF,D1
	BNE		not_down
	MOVEQ		#1,D3				* go down
	MOVE.B		rand,D0				* rand is updated every time a important key is pressed
	MULU		#2,D0
	ADDI		#14,D0
	MOVE.B		D0,rand
	BRA		not_important			
	
not_down
	LSR.L		#8,D1
	CMPI.B		#$FF,D1
	BNE		not_left
	MOVEQ		#-1,D2				* go left
	MOVE.B		rand,D0				* rand is updated every time a important key is pressed
	MULU		#3,D0
	ADDI		#36,D0
	MOVE.B		D0,rand
	BRA		not_important
not_left
	CLR.L		D1				* fire command 
	MOVE.L		#$20,D1
	MOVE.B		#19,D0
	TRAP		#15
	CMPI.B		#$FF,D1
	BNE		not_space
	MOVE.B		rand,D0				* rand is updated every time a important key is pressed
	MULU		#5,D0
	ADDI		#43,D0
	MOVE.B		D0,rand
	
	MOVEQ		#1,D2				* fire pressed
	MOVEQ		#1,D3

not_space
	CLR.L		D1				* pause command 
	MOVE.L		#'P',D1
	MOVE.B		#19,D0
	TRAP		#15
	CMPI.B		#$FF,D1
	BNE		not_important

	LEA		pause,A1	
	BSR		Draw_the_interrupt
pause_loop
	CLR.L		D1				* pause loop waiting for R too resume
	MOVE.L		#'R',D1
	MOVE.B		#19,D0
	TRAP		#15	
	CMPI.B		#$00,D1
	BEQ		pause_loop	
not_important
	RTS












*~Font name~Courier New~
*~Font size~10~
*~Tab type~1~
*~Tab size~8~
