 									
*************************************************************************************

	ORG	$1000
	INCLUDE		Macros.x68
							* usefull macros for more readibility of codes
start	movea		#$700,sp

	BSR		Set_resolution			* set size of the screen
	BSR		mouse_init			* initialise the mouse
	BSR		sound_init			* initialise the sound
	LEA		im_file,A1			* set the address of the picture that should be opened
	BSR		Draw_picture
	
	BSR		enable_exception		* enable mouse exception
play	BSR		set_solid
	BSR		Draw_background
	BSR		game_init
	bsr		play			
		
here
	MOVEQ		#9,D0				* HALT
	TRAP		#15
	
*************************************************************************************
	INCLUDE		Background.x68
							* bitmap load routines
	INCLUDE		Sound.x68
							* sound loading and playing
	INCLUDE 	Mouse.x68
							* mouse jobs
	INCLUDE		Keyboard.x68
							* keyboard with polling scheme
	INCLUDE		Score.x68			
							* displaying the score							
	INCLUDE		Drawing.x68
	INCLUDE		GameLoop.x68
	INCLUDE		Mover.x68
	INCLUDE		ai.x68
	INCLUDE		interface.x68	
	INCLUDE		collision.x68
	INCLUDE		explosion.x68
				

	
*************************************************************************************
*
* variables
	ORG	$6000
	INCLUDE 	Variable.x68
	

	END	start




*~Font name~Courier New~
*~Font size~10~
*~Tab type~1~
*~Tab size~8~
